package ac.essex.ooechs.fractals.colouring;

import java.awt.*;

/**
 * Makes a black-and-white impression of the fractal.
 *
 * @author Olly Oechsle, University of Essex, Date: 22-Nov-2007
 * @version 1.0
 */
public class BlackAndWhite implements Colourer {

    public Color getColor(double iterations, int max_iterations)  {
        if (iterations == max_iterations) {
            return black;
        } else {
            int c = (int) ((1 - (iterations / (double) max_iterations)) * 255);
            return new Color(255-c,255-c,255-c);
        }
    }

}
